#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x9F,0xB5,0x81,0x0D,0xB5,0xB9,0xC1,0x9D,0x23,0x6F,0xA7,0x05,
		0xE2,0xF2,0x4E,0xE2,0xAC,0xD4,0x00,0xBA,0x84,0xC4,0x70,0x47,
		0xC0,0xEF,0x40,0xA4,0xD7,0x2E,0x71,0x87,0x35,0x8B,0x17,0x3E,
		0x7A,0xCB,0xC3,0x78,0xFD,0xBE,0xB6,0x10,0xA5,0xBA,0x8C,0x04,
		0x08,0x2E,0xDD,0xF9,0xB0,0x1E,0x7C,0xBA,0x56,0x8D,0x2D,0x54,
		0xDA,0xCA,0xB5,0x5B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
